Skip to main content
GET
/
activity_logs
List all activity logs
curl --request GET \
  --url https://api.getlago.com/api/v1/activity_logs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getlago.com/api/v1/activity_logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getlago.com/api/v1/activity_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "activity_logs": [
    {
      "activity_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "activity_type": "billing_metric.created",
      "activity_source": "api",
      "resource_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
      "resource_type": "BillableMetric",
      "organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "logged_at": "2025-03-31T12:31:44Z",
      "created_at": "2022-04-29T08:59:51Z",
      "user_email": "dinesh@piedpiper.test",
      "activity_object": {
        "lago_id": "dad68bc7-c01a-4ad8-a87b-13e78693a5bc",
        "plan_id": "b9155544-e261-4e92-b54e-f65d7609294c"
      },
      "activity_object_changes": {
        "plan_id": [
          null,
          "b9155544-e261-4e92-b54e-f65d7609294c"
        ]
      },
      "external_customer_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
      "external_subscription_id": "external_id"
    }
  ],
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  }
}
{
"status": 401,
"error": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

from_date
string<date>

Filter activity logs from a specific date.

Example:

"2022-08-09"

to_date
string<date>

Filter activity logs up to a specific date.

Example:

"2022-08-09"

activity_types[]
string[]

Filter results by activity types

Example:
[
"billing_metric.created",
"billing_metric.updated"
]
activity_sources[]
enum<string>[]

Filter results by activity sources

Available options:
api,
front,
system
Example:
["api", "front"]
user_emails[]
string[]

Filter results by user emails

Example:
["dinesh@piedpiper.test"]
external_customer_id
string

Unique identifier assigned to the customer in your application.

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

external_subscription_id
string

External subscription ID

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

resource_ids[]
string<uuid>[]

Filter results by resources unique identifiers

Example:
[
"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
"1a901a90-1a90-1a90-1a90-1a901a901a90"
]
resource_types[]
string[]

Filter results by resource class types

Example:
["BillableMetric", "Invoice"]

Response

List of activity logs

activity_logs
object[]
required
meta
object
required